using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class Do_while_until : System.Web.UI.Page
{
    protected void btnDoLoops_Click(object sender, EventArgs e)
    {

        // Create an Integer array with a size of 10 (0 to 9)
        int[] Numbers = new int[10];

        // Fill array with data
        Numbers[0] = 2;
        Numbers[1] = 4;
        Numbers[2] = 6;
        Numbers[3] = 8;
        Numbers[4] = 10;
        Numbers[5] = 12;
        Numbers[6] = 14;
        Numbers[7] = 16;
        Numbers[8] = 18;
        Numbers[9] = 20;

        // Declare a integer that will hold one number
        Int32 Number = default(Int32);

        // Declare a variable that are used to count in the array
        Int32 Counter = default(Int32);

        // A Do While loop that will loop as long as Number are greater than 9, condition in the beginning of 
        // the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0;
        Number = 0;

        while (Number > 9)
        {
            Number = Numbers[Counter];
            Counter = Counter + 1;

            if (Counter >= 10)
            {
                break;
            }

        }

        lblDoWhileOne.Text = "the number is " + Number + " after " + Counter + " loops";

        // A Do While loop that will loop as long as Number are greater than 9, condition in the end of 
        // the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0;
        Number = 0;

        do
        {
            Number = Numbers[Counter];
            Counter = Counter + 1;

            if (Counter >= 10)
            {
                break;
            }

        } while (Number > 9);

        lblDoWhileTwo.Text = "the number is " + Number + " after " + Counter + " loops";

        // A Do Until loop that will loop until the Number are greater than or equal to 0, condition in the beginning of 
        // the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0;
        Number = 0;

        while (!(Number >= 0))
        {
            Number = Numbers[Counter];
            Counter = Counter + 1;

            if (Counter >= 10)
            {
                break;
            }

        }

        lblDoUntilOne.Text = "the number is " + Number + " after " + Counter + " loops";

        // A Do Until loop that will loop until the Number are greater than or equal to 0, condition in the end of 
        // the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0;
        Number = 0;

        do
        {
            Number = Numbers[Counter];
            Counter = Counter + 1;

            if (Counter >= 10)
            {
                break;
            }

        } while (!(Number >= 0));

        lblDoUntilTwo.Text = "the number is " + Number + " after " + Counter + " loops";

    }

    protected void ExampleWhileLoopSqlDataReader()
    {
        // This code shows how to select one row from the Users table where the username is equal to the entered username by
        // using a SqlDataReader.

        // Declare variables for a connection string and a SELECT statement.
        string ConnString = ConfigurationManager.ConnectionStrings["ConnectionString"].ToString();
        string sql = "SELECT * FROM Users WHERE Username = @Username";

        // Create a SqlConnection. The using block is used to call dispose (close) automatically 
        // even if there are an exception. 
        using (SqlConnection cn = new SqlConnection(ConnString))
        {
            // Create a SqlCommand.
            SqlCommand cmd = new SqlCommand(sql, cn);

            // Create a SqlDataReader.
            SqlDataReader reader = null;

            // Add parameters for the WHERE clause.
            //cmd.Parameters.AddWithValue("@Username", txtUserName2.Text);

            // The Try/Catch/Finally block is used to handle exceptions in the application.
            try
            {
                // Open the SqlConnection.
                cn.Open();

                // We use SqlDataReader and just want to select one single row, the Using block
                // is used to call dispose (close) automatically even if there are an exception.
                reader = cmd.ExecuteReader(CommandBehavior.SingleRow);

                // A do while loop for the reader.
                while (reader.Read())
                {
                    //txtUserID.Text = reader["UserID"].ToString();
                    //txtUserName.Text = reader["Username"].ToString();
                    //txtCompanyName.Text = reader["Company"].ToString();
                    //txtOrganisationNumber.Text = reader["OrgNumber"].ToString();
                    //txtContact.Text = reader["Contact"].ToString();
                    //txtAttention.Text = reader["Attention"].ToString();
                    //txtAdress.Text = reader["Adress"].ToString();
                    //txtPostalCode.Text = reader["PostalCode"].ToString();
                    //txtCity.Text = reader["City"].ToString();
                    //txtCountry.Text = reader["Country"].ToString();
                }
            }
            catch (Exception ex)
            {
                // Catch a general exception.
                Response.Write(ex.Message);
            }
            finally
            {
                // Dispose the SqlCommand.
                cmd.Dispose();

                // Close the reader to avoid memory leakage.
                if (reader != null)
                    reader.Close();
            }
        }
    }
}
