Imports System.Data
Imports System.Data.SqlClient

Partial Class Do_while_until
    Inherits System.Web.UI.Page

    Protected Sub btnDoLoops_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDoLoops.Click

        ' Create an Integer array with a size of 9 (10 numbers)
        Dim Numbers(9) As Integer

        ' Fill array with data
        Numbers(0) = 2
        Numbers(1) = 4
        Numbers(2) = 6
        Numbers(3) = 8
        Numbers(4) = 10
        Numbers(5) = 12
        Numbers(6) = 14
        Numbers(7) = 16
        Numbers(8) = 18
        Numbers(9) = 20

        ' Declare a integer that will hold one number
        Dim Number As Int32

        ' Declare a variable that are used to count in the array
        Dim Counter As Int32

        ' A Do While loop that will loop as long as Number are greater than 9, condition in the beginning of 
        ' the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0
        Number = 0

        Do While Number > 9
            Number = Numbers(Counter)
            Counter = Counter + 1

            If Counter >= 10 Then
                Exit Do
            End If

        Loop

        lblDoWhileOne.Text = "the number is " & Number & " after " & Counter & " loops"

        ' A Do While loop that will loop as long as Number are greater than 9, condition in the end of 
        ' the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0
        Number = 0

        Do
            Number = Numbers(Counter)
            Counter = Counter + 1

            If Counter >= 10 Then
                Exit Do
            End If

        Loop While Number > 9

        lblDoWhileTwo.Text = "the number is " & Number & " after " & Counter & " loops"

        ' A Do Until loop that will loop until the Number are greater than or equal to 0, condition in the beginning of 
        ' the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0
        Number = 0

        Do Until Number >= 0
            Number = Numbers(Counter)
            Counter = Counter + 1

            If Counter >= 10 Then
                Exit Do
            End If

        Loop

        lblDoUntilOne.Text = "the number is " & Number & " after " & Counter & " loops"

        ' A Do Until loop that will loop until the Number are greater than or equal to 0, condition in the beginning of 
        ' the loop. The loop will exit if we reach the end of the Numbers array to avoid a IndexOutOfBound exception.
        Counter = 0
        Number = 0

        Do
            Number = Numbers(Counter)
            Counter = Counter + 1

            If Counter >= 10 Then
                Exit Do
            End If

        Loop Until Number >= 0

        lblDoUntilTwo.Text = "the number is " & Number & " after " & Counter & " loops"

    End Sub

    Protected Sub ExampleWhileLoopSqlDataReader()

        ' This code shows how to select one row from the Users table where the username is equal to the entered username by
        ' using a SqlDataReader.
        Try
            Dim ConnString As String = ConfigurationManager.ConnectionStrings("ConnectionString").ToString()
            Dim sql As String = "SELECT * FROM Users WHERE Username = @Username"

            ' The Using block is used to call dispose (close) automatically even if there are an exception.
            Using cn As New SqlConnection(ConnString), _
                  cmd As New SqlCommand(sql, cn)
                'cmd.Parameters.Add("@userName", SqlDbType.VarChar, 80).Value = txtUserName2.Text

                cn.Open()
                ' We use MySqlDataReader and just want to select one single row, the Using block
                ' is used to call dispose (close) automatically even if there are an exception.
                Using reader As SqlDataReader = cmd.ExecuteReader(CommandBehavior.SingleRow)

                    ' Loop as long as the reader has datarows to read
                    While reader.Read()
                        'txtUserID.Text = reader("UserID").ToString()
                        'txtUserName.Text = reader("Username").ToString()
                        'txtCompanyName.Text = reader("Company").ToString()
                        'txtOrganisationNumber.Text = reader("OrgNumber").ToString()
                        'txtContact.Text = reader("Contact").ToString()
                        'txtAttention.Text = reader("Attention").ToString()
                        'txtAdress.Text = reader("Adress").ToString()
                        'txtPostalCode.Text = reader("PostalCode").ToString()
                        'txtCity.Text = reader("City").ToString()
                        'txtCountry.Text = reader("Country").ToString()
                    End While

                End Using

            End Using
        Catch ex As Exception
            Response.Write(ex.Message)
        End Try

    End Sub
End Class
